import request from '@/utils/request'

// 查询库房管理列表
export function listStoreroom(query) {
  return request({
    url: '/pasd-healthcare/storeroom/list',
    method: 'get',
    params: query
  })
}

// 查询库房管理详细
export function getStoreroom(id) {
  return request({
    url: '/pasd-healthcare/storeroom/' + id,
    method: 'get'
  })
}

// 新增库房管理
export function addStoreroom(data) {
  return request({
    url: '/pasd-healthcare/storeroom',
    method: 'post',
    data: data
  })
}

// 修改库房管理
export function updateStoreroom(data) {
  return request({
    url: '/pasd-healthcare/storeroom',
    method: 'put',
    data: data
  })
}

// 删除库房管理
export function delStoreroom(id) {
  return request({
    url: '/pasd-healthcare/storeroom/' + id,
    method: 'delete'
  })
}